extends Sprite2D
class_name BubbleClue

func setVisible(isV: bool):
	$ButtonClue.setVisible(false)
	$TouchClue.setVisible(false)
	visible = isV
	if isV:
		$AnimationPlayer.play("move")
		if GameState.isUsingTouch:
			$TouchClue.setVisible(true)
		else:
			$ButtonClue.setVisible(true)
	else:
		$AnimationPlayer.stop()
